Bug 587114 - [abrt] crash in ristretto-0.0.22-3.fc13: Process /usr/bin/ristretto was killed by signal 7 (SIGBUS)
Summary: [abrt] crash in ristretto-0.0.22-3.fc13: Process /usr/bin/ristretto was kille...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ristretto   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3eb63fb40c6244495a141b18d0d...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 23:18 UTC by Raphael Groner
Modified: 2010-05-09 20:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-09 20:05:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.58 KB, text/plain)
2010-04-28 23:18 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2010-04-28 23:18:55 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: ristretto /home/raphael/Downloads/zielsetzung.jpg
component: ristretto
executable: /usr/bin/ristretto
global_uuid: 3eb63fb40c6244495a141b18d0d1dbf7dc7c8567
kernel: 2.6.33.2-57.fc13.x86_64
package: ristretto-0.0.22-3.fc13
rating: 4
reason: Process /usr/bin/ristretto was killed by signal 7 (SIGBUS)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. maximize in foreground one of two background ristretto windows
2.
3.

Comment 1 Raphael Groner 2010-04-28 23:18:58 UTC
Created attachment 409985 [details]
File: backtrace

Comment 2 Christoph Wickert 2010-05-07 16:33:39 UTC
Hi Raphael, thanks for your bug report.

(In reply to comment #0)
> How to reproduce
> -----
> 1. maximize in foreground one of two background ristretto windows

Can you reproduce the crash? If so, please try the packages from 
http://cwickert.fedorapeople.org/temp/ and tell me if it still crashes. Thanks!

Comment 3 Raphael Groner 2010-05-09 20:05:02 UTC
Hi Christoph,
unfortunately I can not reproduce the bug, it seems to be more like a random problem, but abrt detected a crash of ristretto. I do not know at all what you have changed in your new package. 
Due to the lack of more information I can not provide, I am closing this bug report.

Comment 4 Christoph Wickert 2010-05-09 20:16:24 UTC
Thanks for your feedback, sorry there is no solution yet.

There are a few bugs in the navigator code and I already sent some backtraces upstream. Upstream is aware of the problems but there is not much he can do without a major rewrite. The rewrite is going on ATM because of Thunar switching from thunar-vfs to gvfs. Hopefully things will become better then.


Note You need to log in before you can comment on or make changes to this bug.